Bug 1066597 - [GSS] (6.3.0) The formatter attribute is changed every time it's processed
Summary: [GSS] (6.3.0) The formatter attribute is changed every time it's processed
Status: CLOSED UPSTREAM
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Logging
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: EAP 6.3.0
Assignee: James Perkins
QA Contact: Nikoleta Ziakova
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1066602
TreeView+ depends on / blocked
 
Reported: 2014-02-18 17:13 UTC by Kyle Lape
Modified: 2018-12-05 17:20 UTC (History)
1 user (show)

(edit)
A bug that caused the `HandlerOperations.equalValue()` method  to always return false in previous versions of JBoss EAP 6 has been corrected with the inclusion of an upstream patch. This bug presented because the method used the incorrect property name when comparing values. It does not present in this release of the product.
Clone Of:
: 1066602 (view as bug list)
(edit)
Last Closed: 2014-03-05 17:32:24 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2908 Minor Resolved The formatter attribute is changed every time it's processed 2014-08-04 10:27:12 UTC

Description Kyle Lape 2014-02-18 17:13:18 UTC
he HandlerOperations.equalValue() method uses the incorrect property name when comparing values resulting in the method always returning false.

This does not harm anything, but just changes the format pattern each time a resource is processed.

Comment 1 James Perkins 2014-03-05 17:32:24 UTC
This fix is already upstream as part of https://bugzilla.redhat.com/show_bug.cgi?id=994661. The bug was introduced in the original WildFly commit which implemented the custom-formatter. Since the commit had to be ported rather than cherry-picked I just fixed it as part of the port.


Note You need to log in before you can comment on or make changes to this bug.